> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/audit-diff-log.md).

# AuditDiffLog

Represents a single audit log item.

```graphql
type AuditDiffLog {
  action: ObjectAction!
  items: [AuditDiffCollectionItem!]
  metadata: AuditRequestMetadata
  revisionId: String!
  timestamp: Time!
  user: UserResult
  userId: String
  userLastRevision: UserRevision
}
```

### Fields

#### action ● [`ObjectAction!`](https://developer.collibra.com/api/graphql/data-access/enumerations/object-action.md) non-null enum <a href="#action" id="action"></a>

The main action that happened (create, update, delete).

#### items ● [`[AuditDiffCollectionItem!]`](https://developer.collibra.com/api/graphql/data-access/object-types/audit-diff-collection-item.md) list object <a href="#items" id="items"></a>

The actual change details.

#### metadata ● [`AuditRequestMetadata`](https://developer.collibra.com/api/graphql/data-access/object-types/audit-request-metadata.md) object <a href="#metadata" id="metadata"></a>

General meta data about the change

#### revisionId ● [`String!`](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#revision-id" id="revision-id"></a>

The unique identifier of the change.

#### timestamp ● [`Time!`](https://developer.collibra.com/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#timestamp" id="timestamp"></a>

The time at which the change happened.

#### user ● [`UserResult`](https://developer.collibra.com/api/graphql/data-access/unions/user-result.md) union <a href="#user" id="user"></a>

The (optional) user that triggered the change.

#### userId ● [`String`](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) scalar <a href="#user-id" id="user-id"></a>

The (optional) ID of the user that triggered the change.

#### userLastRevision ● [`UserRevision`](https://developer.collibra.com/api/graphql/data-access/object-types/user-revision.md) object <a href="#user-last-revision" id="user-last-revision"></a>

### Member Of

[`AuditDiffLogEdge`](https://developer.collibra.com/api/graphql/data-access/object-types/audit-diff-log-edge.md) object

### Implemented By

[`AuditDiffLogResult`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-log-result.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/audit-diff-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
